## GetUser **post** `/gitpod.v1.UserService/GetUser` Gets basic information about a specific user by their ID. Use this method to: - Retrieve user profile information - Get user details for display purposes - Fetch user metadata for administrative tasks ### Examples - Get user by ID: Retrieves basic user information by user ID. ```yaml userId: "f53d2330-3795-4c5d-a1f3-453121af9c60" ``` ### Body Parameters - `userId: optional string` ### Returns - `user: User` - `id: string` id is a UUID of the user - `avatarUrl: optional string` avatar_url is a link to the user avatar - `createdAt: optional string` created_at is the creation time - `email: optional string` email is the user's email address - `name: optional string` name is the full name of the user - `organizationId: optional string` organization_id is the id of the organization this account is owned by. +optional if not set, this account is owned by the installation. - `status: optional UserStatus` status is the status the user is in - `"USER_STATUS_UNSPECIFIED"` - `"USER_STATUS_ACTIVE"` - `"USER_STATUS_SUSPENDED"` - `"USER_STATUS_LEFT"` ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.UserService/GetUser \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json { "user": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "avatarUrl": "avatarUrl", "createdAt": "2019-12-27T18:11:19.117Z", "email": "email", "name": "name", "organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "status": "USER_STATUS_UNSPECIFIED" } } ```